require 'sketchup.rb'
require 'extensions.rb'
      
module SimJoubert
  
  module SJ_XML_TO_ENSCAPE_PATH_VIDEO            #EDIT

    # Version du plugin.
    VERSION = '0.2.1'        #EDIT
    # Les notes de versions sont consultables dans le fichier "sj_components_to_scenes/CHANGELOG.txt"

    # Traduction du plugin selon la langue d'installation de SketchUp.
    TRANSLATE = LanguageHandler.new('sj_xml_to_enscape_path_video.translation')        #EDIT
    # Voir : "sj_components_to_scenes/Resources/#{Sketchup.get_locale}/sj_components_to_scenes.translation"
      
    # Nom du plugin.  
    NAME = "SJ XML Enscape路径视频"        #EDIT

    # Dossier du plugin
    FOLDER = 'sj_xml_to_enscape_path_video'        #EDIT

    # Variable pour la boîte de dialogue
    SESSION = Hash.new
    
    # Menu du plugin
    MENU_NAME = 'XML Enscape路径视频'        #EDIT

    # Barre outils du plugin
    TOOLBAR_NAME = "SJ XML Enscape路径视频"    #EDIT

	  # Description du plugin
    description = TRANSLATE["通过该扩展，您可以创建一个 XML 文件，其中包含来自曲线或场景的路径视频。"]        #EDIT
    copy_year = "2022"        #EDIT
    AUTHOR = "Simon Joubert"
      
      
  #------Modifications calculées par les valeurs renseignées ci dessus --------------------------------------------------------------- 
  
      
    extension = SketchupExtension.new( FOLDER, FOLDER + '/load.rb' )      
    extension.name = NAME
    extension.version = VERSION
    extension.creator = AUTHOR
    extension.copyright = "© #{copy_year} #{extension.creator}"
    extension.description = description + TRANSLATE[' Access it via Plugins menu '] + "> SimJoubert Tools > " + MENU_NAME + TRANSLATE[', or toollbar '] + TOOLBAR_NAME
    Sketchup.register_extension( extension, true )
    
  end
end