# encoding: UTF-8
#
# file "sj_xml_to_enscape_path_video/erase_path.rb

## Charge tous les scripts dont ce module dépend.
    ## Note: Le chemin est relatif à la racine de tous les plugins.
    require 'sketchup'
    require 'json'
    require 'fileutils'
      
    ## Ajouter ici les fichiers contenant les commandes
        ## Decommenter la ligne
    #require 'sj_attribute_report/NOM DU FICHIER.rb'      #EDIT
      
# Espace de noms de l'auteur.
module SimJoubert
      
  # Espace de noms du plugin.
  module SJ_XML_TO_ENSCAPE_PATH_VIDEO
    
    # Sous module
    module Erase
      # Constante du nom du dictionnaire ou seront stockées les préférences de préfix
      CDICT = 'sj_xml_to_enscape_path_video'

      def self.erase_group(group)
        model = Sketchup.active_model
        
        group_pid = group.persistent_id
        
        attrdict = model.attribute_dictionaries[CDICT]
        value = attrdict.delete_key(group_pid)

        group.erase!
        model.definitions.purge_unused
        
        return "Group deleted"
      end

      def self.erase_scene(group)
        model = Sketchup.active_model
        pages = model.pages
        scenes_pid = group.get_attribute(CDICT, "scenes_pid", [])
        scenes_num = scenes_pid.length
        unless scenes_num == 0
          message_texte = TRANSLATE["Scenes are attached to the video path group ! Would you like to delete them too ?"]
          message = UI.messagebox(message_texte, MB_YESNO)
          if message == 6
            scenes = scenes_pid.map{|pid| model.find_entity_by_persistent_id(pid)}
            scenes.each{|scene| pages.erase(scene)}

            result = scenes_num.to_s + " " +TRANSLATE["deleted page(s)."]
          else
            result = ""
          end
          
        else
          result = ""
        end
        return result
      end

      
       
       

      def self.erase_video_path_group_cmd
        test = SJ_XML_TO_ENSCAPE_PATH_VIDEO.validation_proc_group(1)
        if test == true
          model = Sketchup.active_model
          sel = model.selection
          group = sel.grep(Sketchup::Group)[0]
          unless JSON.parse(group.get_attribute(CDICT,"keyframes","{}")) == {}
            model.start_operation(TRANSLATE["Delete Video path group"],true,false,false)
            status_scenes = erase_scene(group)
            status_group = erase_group(group)
            message_texte = status_scenes + "\n" + status_group
            UI.messagebox(message_texte, MB_OK)
            model.commit_operation
          end
        end
      end


        




    end#fin sous module
  end#fin module plugin
end#fin module espace de nom