# encoding: UTF-8
#
# file "sj_xml_to_enscape_path_video/import_component.rb"

# Espace de noms de l'auteur.
module SimJoubert
      
  # Espace de noms du plugin.
  module SJ_XML_TO_ENSCAPE_PATH_VIDEO 
    module ImportComponent

      #include SharedConstants # mixin the constant module
			DCDICT = "dynamic_attributes"
			extend self
      # define unshared constants here:

      # define class variables here:

      # define class methods here:
			
			
			# component placement event.
			class PlaceInstanceSpy
				def initialize(definition, parent, position=nil)
					@definition = definition
					@parent = parent
					@position = position
					# Attach this observer also to watch the tools collection
					# because the active tool changes as the placement proceeds:
					@definition.model.tools.add_observer(self)
				end
				def onComponentInstanceAdded(definition, instance)
					# Set attributes on the definition or the instance here,
					# # by calling a method in the parent module:
					
					@parent.ajoutAttributsComposantImporter(definition, instance, @position)
					
				end

			end#Fin Class PlaceInstanceSpy

			#appellée par l'observateur onComponentInstanceAdded 
			def ajoutAttributsComposantImporter(definition, instance, position)
				#by calling a method in the parent module:
				# definition = @definition transmis par la methode de class onComponentInstanceAdded
				# instance = @instance transmis par la methode de class onComponentInstanceAdded
				
				model = Sketchup.active_model
				
				#On creer un calque Tag ATR_Services
				layer = model.layers.add "Camera_Target"
				#On tag l'instance du composant sur le calque ATR_Services
				instance.layer = layer

				instance_pid = instance.persistent_id
				unless position == 0
					parent = instance.parent
				
					unless parent == model
						if parent.group? == true
							grp = parent.instances[0]
							pid = grp.persistent_id
							pref = JSON.parse(model.get_attribute( CDICT, pid, "{}"))
							cible_pid = JSON.parse(grp.get_attribute(CDICT, "cible_pid", '{"start":null,"middle":null,"end":null}'))

							if pref != {}
								if position == 0
									if cible_pid['start'] == target_pid
										cible_pid['start'] = nil
									end
									if cible_pid['end'] == target_pid
										cible_pid['end'] = nil
									end
									if cible_pid['middle'] == target_pid
										cible_pid['middle'] = nil
									end
								end	

								if position == 1 || position == 12 || position == 123
									cible_pid['start'] = instance_pid
								end
								if position == 2 || position == 12 || position == 23 || position == 123
									cible_pid['middle'] = instance_pid
								end
								if position == 3 || position == 23 || position == 123
									cible_pid['end'] = instance_pid
								end
								grp.set_attribute(CDICT, "cible_pid", cible_pid.to_json)
								
							end
						end
					end
				end	
				instance.set_attribute(CDICT,'target_position',position)
				instance.set_attribute(DCDICT,"position",position)
				dc = $dc_observers.get_latest_class
				dc.redraw_with_undo(instance)
				
			end

			def self.dialoguePositionTarget()
				spaces = "                "#16 espaces pour un meilleur visuel de la boite de dialogue
				position_h = {
          "#{TRANSLATE["Start, Middle, End"]}#{spaces}"=>123,
          "#{TRANSLATE["Start"]}#{spaces}"=>1,
          "#{TRANSLATE["Middle"]}#{spaces}"=>2,
          "#{TRANSLATE["End"]}#{spaces}"=>3,
          "#{TRANSLATE["Middle, End"]}#{spaces}"=>23,
          "#{TRANSLATE["Start, Middle"]}#{spaces}"=>12,
          "#{TRANSLATE["None"]}#{spaces}"=>0
        }

				liste = [position_h.keys.join("|")]
				default = ["#{TRANSLATE["Start, Middle, End"]}#{spaces}"]
				prompt = [TRANSLATE["Target position ?"]]
				titre = TRANSLATE["Define the target position"]

				input = UI.inputbox(prompt, default, liste, titre)
				puts input[0]

				unless input == false
					position_text = input[0]
					position_text = TRANSLATE[position_text]

					position = position_h[position_text]
					puts position
					position = (position == nil ? 0 : position)
					puts position
				else
					position = 0
				end
				return position
			end




			 
				
			# define instance methods here:
			
			# !!! IMPORTANT PREFIXER lES COMMANDES PAR "SELF." !!!
				
			#Commande N°20 IMPORTER COMPOSANT Mire
			def self.composant_mire_cmd

				model = Sketchup.active_model
				#On creer une variable URL qui a pour valeur le chermin le fichier.skp rechercher dans le dossier d'instalation du plugin
				url = Sketchup.find_support_file("Target.skp", "Plugins/" + FOLDER + "/skp/")
				cdef = model.definitions.load(url)
				return unless cdef # good practice
				# could be "next unless cdef" inside a loop
				
				#on ajoutte un observateur en de la classe PlaceInstanceSpy
				#il va mettre à jour les listes déroulantes poste et fournisseur des que le composant sera placé et il sera ensuite redessiné
				
				position = dialoguePositionTarget()
				
				spy = cdef.add_observer(PlaceInstanceSpy.new(cdef, self, position))	
				model.place_component(cdef)
				cdef.remove_observer spy
			end#fin de composant_mire_cmd


			



    end#fin sous module
  end#fin module plugin
end#fin module espace de nom